{
  "name": "@jarvis-network/exchange-frontend",
  "version": "1.0.1",
  "private": true,
  "scripts": {
    "build": "yarn prepare:assets && next build && next export",
    "build:withAnalyze": "yarn prepare:assets && ANALYZE=true next build && next export",
    "format": "prettier --check \"**/*.+(json|yml|yaml|md)\"",
    "format:fix": "prettier --write \"**/*.+(json|yml|yaml|md)\"",
    "lint": "eslint '*/**/*.{ts,tsx}'",
    "lint:fix": "eslint '*/**/*.{ts,tsx}' --fix",
    "prepare:assets": "cp -r ../../node_modules/@jarvis-network/ui/dist/assets/ public/ && cp -r ../../node_modules/@jarvis-network/ui/dist/assets/ public/assets/",
    "start": "yarn prepare:assets && next dev",
    "start:analyze": "cd .next/analyze && npx http-server -p 6543 -o",
    "start:server": "next start",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "test:watch": "jest --watch"
  },
  "dependencies": {
    "@jarvis-network/app-toolkit": "*",
    "@jarvis-network/core-utils": "*",
    "@jarvis-network/synthereum-ts": "*",
    "@jarvis-network/ui": "*",
    "@next/bundle-analyzer": "^11.1.3",
    "@reduxjs/toolkit": "^1.4.0",
    "damlev": "^1.0.0",
    "fuse.js": "^6.4.6",
    "milliseconds": "^1.0.3",
    "next": "^11.0.1",
    "next-pwa": "^5.2.24",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-markdown": "^5.0.3",
    "react-redux": "^7.2.4",
    "recharts": "^2.0.4",
    "redux": "^4.0.5",
    "redux-devtools-extension": "^2.13.9",
    "redux-observable": "^2.0.0",
    "ric-shim": "^1.0.0"
  },
  "devDependencies": {
    "@types/enzyme": "^3.10.8",
    "@types/enzyme-adapter-react-16": "^1.0.6",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.5",
    "jest": "^26.6.3",
    "raw-loader": "^4.0.2",
    "typed-react-markdown": "^0.1.0"
  }
}
